| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::RootRef Struct Reference

Persistent reference object. More...

`#include <RootCnv/RootRefs.h>`

## Public Member Functions
| RootRef ()
| Standard constructor. More...
| RootRef (const RootRef &c)
| Copy constructor. More...
RootRef & | operator= (const RootRef &c)
| Assignment operator. More...
void | reset ()
| Reset data content. More...
| RootRef ()
| Standard constructor. More...
| RootRef (const RootRef &c)=default
| Copy constructor. More...
RootRef & | operator= (const RootRef &c)=default
| Assignment operator. More...
void | reset ()
| Reset data content. More...

## Public Attributes
int | dbase
| Data members to define object location in the persistent world. More...
int | container
int | link
int | clid
int | svc
int | entry

## Detailed Description

Persistent reference object.

Author
  M.Frank

Version
  1.0

Definition at line 34 of file extractEvt.C.

## Constructor & Destructor Documentation

## ◆ RootRef() [1/4]

Gaudi::RootRef::RootRef | ( |  | ) |
| inline

Standard constructor.

Definition at line 38 of file extractEvt.C.

38 { this->reset(); }
Gaudi::RootRef::reset
void reset()
Reset data content.
Definition: extractEvt.C:53

## ◆ RootRef() [2/4]

Gaudi::RootRef::RootRef | ( | const RootRef & | c | ) |
| inline

Copy constructor.

Definition at line 40 of file extractEvt.C.

41 : dbase( c.dbase ), container( c.container ), link( c.link ), clid( c.clid ), svc( c.svc ), entry( c.entry ) {}
gaudirun.c
c
Definition: gaudirun.py:487
Gaudi::RootRef::container
int container
Definition: extractEvt.C:36
Gaudi::RootRef::entry
int entry
Definition: extractEvt.C:36
Gaudi::RootRef::dbase
int dbase
Data members to define object location in the persistent world.
Definition: extractEvt.C:36
Gaudi::RootRef::clid
int clid
Definition: extractEvt.C:36
Gaudi::RootRef::link
int link
Definition: extractEvt.C:36
Gaudi::RootRef::svc
int svc
Definition: extractEvt.C:36

## ◆ RootRef() [3/4]

Gaudi::RootRef::RootRef | ( |  | ) |
| inline

Standard constructor.

Definition at line 34 of file RootRefs.h.

34 { this->reset(); }
Gaudi::RootRef::reset
void reset()
Reset data content.
Definition: extractEvt.C:53

## ◆ RootRef() [4/4]

Gaudi::RootRef::RootRef | ( | const RootRef & | c | ) |
| default

Copy constructor.

## Member Function Documentation

## ◆ operator=() [1/2]

RootRef& Gaudi::RootRef::operator= | ( | const RootRef & | c | ) |
| default

Assignment operator.

## ◆ operator=() [2/2]

RootRef& Gaudi::RootRef::operator= | ( | const RootRef & | c | ) |
| inline

Assignment operator.

Definition at line 43 of file extractEvt.C.

43 {
44 dbase = c.dbase;
45 container = c.container;
46 link = c.link;
47 clid = c.clid;
48 svc = c.svc;
49 entry = c.entry;
50 return *this;
51 }
gaudirun.c
c
Definition: gaudirun.py:487
Gaudi::RootRef::container
int container
Definition: extractEvt.C:36
Gaudi::RootRef::entry
int entry
Definition: extractEvt.C:36
Gaudi::RootRef::dbase
int dbase
Data members to define object location in the persistent world.
Definition: extractEvt.C:36
Gaudi::RootRef::clid
int clid
Definition: extractEvt.C:36
Gaudi::RootRef::link
int link
Definition: extractEvt.C:36
Gaudi::RootRef::svc
int svc
Definition: extractEvt.C:36

## ◆ reset() [1/2]

void Gaudi::RootRef::reset | ( |  | ) |
| inline

Reset data content.

Definition at line 40 of file RootRefs.h.

40 {
41 dbase = -1;
42 container = -1;
43 link = -1;
44 entry = -1;
45 svc = 1;
46 clid = 1;
47 }
Gaudi::RootRef::container
int container
Definition: extractEvt.C:36
Gaudi::RootRef::entry
int entry
Definition: extractEvt.C:36
Gaudi::RootRef::dbase
int dbase
Data members to define object location in the persistent world.
Definition: extractEvt.C:36
Gaudi::RootRef::clid
int clid
Definition: extractEvt.C:36
Gaudi::RootRef::link
int link
Definition: extractEvt.C:36
Gaudi::RootRef::svc
int svc
Definition: extractEvt.C:36

## ◆ reset() [2/2]

void Gaudi::RootRef::reset | ( |  | ) |
| inline

Reset data content.

Definition at line 53 of file extractEvt.C.

53 {
54 dbase = -1;
55 container = -1;
56 link = -1;
57 entry = -1;
58 svc = 1;
59 clid = 1;
60 }
Gaudi::RootRef::container
int container
Definition: extractEvt.C:36
Gaudi::RootRef::entry
int entry
Definition: extractEvt.C:36
Gaudi::RootRef::dbase
int dbase
Data members to define object location in the persistent world.
Definition: extractEvt.C:36
Gaudi::RootRef::clid
int clid
Definition: extractEvt.C:36
Gaudi::RootRef::link
int link
Definition: extractEvt.C:36
Gaudi::RootRef::svc
int svc
Definition: extractEvt.C:36

## Member Data Documentation

## ◆ clid

int Gaudi::RootRef::clid

Definition at line 36 of file extractEvt.C.

## ◆ container

int Gaudi::RootRef::container

Definition at line 36 of file extractEvt.C.

## ◆ dbase

int Gaudi::RootRef::dbase

Data members to define object location in the persistent world.

Definition at line 36 of file extractEvt.C.

## ◆ entry

int Gaudi::RootRef::entry

Definition at line 36 of file extractEvt.C.

## ◆ link

int Gaudi::RootRef::link

Definition at line 36 of file extractEvt.C.

## ◆ svc

int Gaudi::RootRef::svc

Definition at line 36 of file extractEvt.C.

The documentation for this struct was generated from the following files:

- RootCnv/merge/extractEvt.C
- RootCnv/RootCnv/RootRefs.h